[Qa-jenkins-scm] [jenkins.debian.net] 01/03: reproducible Debian: dont (re-)install pbuilder if it's on hold

Holger Levsen holger at layer-acht.org
Thu Mar 30 14:27:28 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 247041e2bd3abdc7b710cd85aef46f07f4903459
Author: Holger Levsen <holger at layer-acht.org>
Date:   Thu Mar 30 16:05:53 2017 +0200

    reproducible Debian: dont (re-)install pbuilder if it's on hold
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 update_jdn.sh | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

diff --git a/update_jdn.sh b/update_jdn.sh
index b8eaa00..8550523 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -486,13 +486,16 @@ if [ -f /etc/debian_version ] ; then
 		fi
 		$UP2DATE || ( sudo cp --preserve=mode,timestamps -r hosts/$HOSTNAME/etc/apt/sources.list /etc/apt ; sudo apt-get update )
 		$UP2DATE || sudo apt-get install $DEBS $MASTERDEBS
-		case $HOSTNAME in
-			codethink*) 	$UP2DATE || sudo apt-get install -t jessie-backports pbuilder
-					;;
-			*)		$UP2DATE || sudo apt-get install -t jessie-backports \
-						pbuilder lintian || echo "this should only fail on the first install"
-					;;
-		esac
+		# dont (re-)install pbuilder if it's on hold
+		if [ ! -n "$(dpkg -l pbuilder | egrep '^hi.*pbuilder')" ] ; then
+			case $HOSTNAME in
+				codethink*) 	$UP2DATE || sudo apt-get install -t jessie-backports pbuilder
+						;;
+				*)		$UP2DATE || sudo apt-get install -t jessie-backports \
+							pbuilder lintian || echo "this should only fail on the first install"
+				;;
+			esac
+		fi
 		# we need mock from bpo to build current fedora
 		if [ "$HOSTNAME" = "profitbricks-build3-amd64" ] || [ "$HOSTNAME" = "profitbricks-build4-amd64" ] || [ "$HOSTNAME" = "jenkins" ] ; then
 			$UP2DATE || sudo apt-get install -t jessie-backports mock \

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list